Subject: bug#75448: [PATCH] Fix documentation of Iroquoian input methods

From: Stefan Kangas <[email-masked]>
Date: Thu, 9 Jan 2025 01:11:17 -0600

reopen 75448
thanks

Eli Zaretskii <[email-masked]> writes:

>> From: Kierin Bell <[email-masked]>
>> Date: Wed, 08 Jan 2025 19:39:12 -0500
>>
>> This patch fixes a typo in the documentation for Iroquoian input methods
>> for the Oneida endonym, propagated by copy-paste into comments,
>> docstrings, and the NEWS entry. The previous spelling 'Onʌyota:ká:' was
>> missing the third syllable and also used an idiosyncratic orthography.
>> There are two common orthographic variants that I've seen:
>> 'Onʌyote’a·ká·' (common in community language programs) and
>> 'Onyotaˀa·ká·' (used in Karin Michelson's 2002
>> 'Oneida-English/English-Oneida Dictionary'). I opted for the former.
>
> Since these are very delicate matters, I'd like us to go by the
> orthography that is really widely accepted.  In Wikipedia
> (https://en.wikipedia.org/wiki/Oneida_language), I see "onʌjotaʔaːka"
> and "onʌjoteʔaːkaː", which is different from what you show.  I wonder
> what should we use, given so many different variants.
>
>> There is also a small fix for an incorrect input key given in one of the
>> input method docstrings.
>
> I agree that factually the input method behaves as you describe in
> your patch, but is it not more reasonable to change the code to behave
> as the documentation says?  Why should '-' after 'n' produce ñ?  It
> sounds like using '~' for that is better mnemonically?

Thanks for paying attention to details, Eli.

The patch is already installed, but I'm reopening the bug until we have
agreed how to proceed here.